Ecore Buffer Queue functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Modules | Functions
Ecore Buffer Queue functions
Ecore » Ecore_Buffer - Graphics buffer functions

Ecore Buffer Queue is a queue which connects processes for sharing Ecore_Buffer. More...

## Modules
| Ecore Buffer Provider functions
| This group of functions is applied to an Ecore_Buffer_Provider object.
| Ecore Buffer Consumer functions
| This group of functions is applied to an Ecore_Buffer_Consumer object.

## Functions
EAPI int | ecore_buffer_queue_init (void)
| Inits the Ecore_Buffer_Queue system.
EAPI int | ecore_buffer_queue_shutdown (void)
| Shuts down the Ecore_Buffer_Queue system.

## Detailed Description

Ecore Buffer Queue is a queue which connects processes for sharing Ecore_Buffer.

One process (related object is Ecore_Buffer_Provider) has rear terminal position of Ecore_Buffer Queue which can enqueue the Ecore_Buffer, and the other process (related object is Ecore_Buffer_Consumer) has front terminal position of Ecore_Buffer_Queue which can dequeue the Ecore_Buffer.

## Function Documentation

## ◆ ecore_buffer_queue_init()

EAPI int ecore_buffer_queue_init | ( | void |  | ) |

Inits the Ecore_Buffer_Queue system.

Since
  1.15

Returns
  How many times the lib has been initialized, `0` indicates failure.

Set up the connection of Buffer Queue daemon, and Init Ecore_Buffer_Queue libraries.

See also
  ecore_buffer_queue_shutdown()

References eina_log_abort_on_critical_level_set(), eina_log_abort_on_critical_set(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, EINA_LOG_LEVEL_ERR, and EINA_TRUE.

## ◆ ecore_buffer_queue_shutdown()

EAPI int ecore_buffer_queue_shutdown | ( | void |  | ) |

Shuts down the Ecore_Buffer_Queue system.

Since
  1.15

Returns
  How many times the lib has been initialized.

This closes the connection of Buffer Queue daemon, and Shut down Ecore_Buffer_Queue libraries.

See also
  ecore_buffer_queue_init()

References eina_log_domain_unregister().